﻿using MedicalDatabaseContracts.Models;
using System.ComponentModel;

namespace MedicalDatabaseContracts.ViewModels
{
    public abstract class AbstractPersonViewModel : AbstractViewModel
    {
        [DisplayName("Имя")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Фамилия")]
        public string Surname { get; set; } = string.Empty;
        [DisplayName("Отчество")]
        public string Patronymic { get; set; } = string.Empty;
        [DisplayName("Телефон")]
        public string PhoneNumber { get; set; } = string.Empty;
    }
}
