﻿using MedicalDatabaseContracts;
using MedicalDatabaseContracts.Models;
using MedicalDatabaseContracts.SearchModels;
using MedicalDatabaseContracts.ViewModels;
using Microsoft.Extensions.Logging;

namespace MedicalView.Patients
{
    public class FormPatients : FormAbstractList<Patient, PatientViewModel, PatientSearchModel>
    {
        public FormPatients(
            ILogger<FormPatients> logger,
            ILogic<Patient, PatientViewModel, PatientSearchModel> logic) : base(logger, logic)
        {
            Text = "Список пациентов";
        }
        protected override void LoadData()
        {
            base.LoadData();
            dataGridView.Columns["Id"].Visible = true;
        }
    }
}
